Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Interface Distribution

All Known Implementing Classes:
  AndersonDarlingDist, AndersonDarlingDistQuick, BetaDist, BetaSymmetricalDist, BinomialDist, CauchyDist, ChiDist, ChiSquareDist, ChiSquareDistQuick, ChiSquareNoncentralDist, ContinuousDistribution, CramerVonMisesDist, DiscreteDistribution, DiscreteDistributionInt, EmpiricalDist, ErlangDist, ExponentialDist, ExponentialDistFromMean, ExtremeValueDist, FatigueLifeDist, FisherFDist, FoldedNormalDist, GammaDist, GammaDistFromMoments, GeometricDist, HalfNormalDist, HyperbolicSecantDist, HypergeometricDist, InverseGaussianDist, JohnsonSBDist, JohnsonSUDist, KolmogorovSmirnovDist, KolmogorovSmirnovDistQuick, KolmogorovSmirnovPlusDist, LaplaceDist, LogarithmicDist, LogisticDist, LoglogisticDist, LognormalDist, LognormalDistFromMoments, NakagamiDist, NegativeBinomialDist, NormalDist, NormalDistQuick, NormalInverseGaussianDist, ParetoDist, PascalDist, Pearson5Dist, Pearson6Dist, PiecewiseLinearEmpiricalDist, PoissonDist, PowerDist, RayleighDist, StudentDist, TriangularDist, TruncatedDist, UniformDist, UniformIntDist, WatsonGDist, WatsonUDist, WeibullDist

    public interface Distribution

This interface should be implemented by all classes supporting discrete and continuous distributions. It specifies the signature of methods that compute the distribution function F(x), the complementary distribution function bar(F)(x), and the inverse distribution function F-1(u). It also specifies the signature of methods that returns the mean, the variance and the standard deviation.

Method Summary
`double` | `barF(double x)` Returns bar(F)(x) = 1 - F(x).
`double` | `cdf(double x)` Returns the distribution function F(x).
`double` | `getMean()` Returns the mean of the distribution function.
`double[]` | `getParams()` Returns the parameters of the distribution function in the same order as in the constructors.
`double` | `getStandardDeviation()` Returns the standard deviation of the distribution function.
`double` | `getVariance()` Returns the variance of the distribution function.
`double` | `inverseF(double u)` Returns the inverse distribution function F-1(u), defined in.

Method Detail

### cdf

    double cdf(double x)

  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### barF

    double barF(double x)

  Returns bar(F)(x) = 1 - F(x).

  Parameters:
    `x` - value at which the complementary distribution function is evaluated
  Returns:
    complementary distribution function evaluated at `x`

### inverseF

    double inverseF(double u)

  Returns the inverse distribution function F-1(u), defined in.

  Parameters:
    `u` - value in the interval (0, 1) for which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    double getMean()

  Returns the mean of the distribution function.

### getVariance

    double getVariance()

  Returns the variance of the distribution function.

### getStandardDeviation

    double getStandardDeviation()

  Returns the standard deviation of the distribution function.

### getParams

    double[] getParams()

  Returns the parameters of the distribution function in the same order as in the constructors.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.